package com.fp.armas.portal.model;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQuery;
import javax.persistence.Table;


/**
 * The persistent class for the TGENESEQUENCES database table.
 * 
 */
@Entity
@Table(name="TGENESEQUENCES")
@NamedQuery(name="Tgenesequence.findAll", query="SELECT t FROM Tgenesequence t")
public class Tgenesequence implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String code;

	private Long currentvalue;

	private String cyclic;

	private Long increase;

	private Long initialvalue;

	private Long lastvalue;

	public Tgenesequence() {
	}

	public String getCode() {
		return this.code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public Long getCurrentvalue() {
		return this.currentvalue;
	}

	public void setCurrentvalue(Long currentvalue) {
		this.currentvalue = currentvalue;
	}

	public String getCyclic() {
		return this.cyclic;
	}

	public void setCyclic(String cyclic) {
		this.cyclic = cyclic;
	}

	public Long getIncrease() {
		return this.increase;
	}

	public void setIncrease(Long increase) {
		this.increase = increase;
	}

	public Long getInitialvalue() {
		return this.initialvalue;
	}

	public void setInitialvalue(Long initialvalue) {
		this.initialvalue = initialvalue;
	}

	public Long getLastvalue() {
		return this.lastvalue;
	}

	public void setLastvalue(Long lastvalue) {
		this.lastvalue = lastvalue;
	}

}